<?
if(isset($_POST['oldpassword']) && isset($_POST['password']) && isset($_POST['password2']) && isset($_POST['pol']) && $_POST['mdp']==$ku['mdp'])
{
if($_POST['password']!=NULL && $_POST['password2']!=NULL)
{
if (md5($_POST['oldpassword'])!=$ku['password']){$err=1;err_game('Старый пароль введё неверно.');}
elseif (strlen2($_POST['password'])<6){$err=1;err_game('По соображениям безопасности пароль не может быть короче 6-ти символов');}
elseif(strlen2($_POST['password'])>32){$err=1;err_game('Длина пароля превышает 32 символа');}
elseif ($_POST['password']!=$_POST['password2']){$err=1;err_game('Пароли не совпадают');}
else
{
$ku['password']=update_ku('password',md5($_POST['password']));
$ku['autologin']=update_ku('autologin',md5("nick:".$ku['nick'].",password:".$ku['password'].",id:".$ku['id'].""));
}
}
if($_POST['pol']==0)$pol=0;else $pol=1;
if($pol!=$ku['pol'])$ku['pol']=update_ku('pol',$pol);
if($_POST['mail']==0)$mail=0;else $mail=1;
if($mail!=$ku['mail'])$ku['mail']=update_ku('mail',$mail);
if($_POST['panel']==0)$panel=0;else $panel=1;
if($panel!=$ku['panel'])$ku['panel']=update_ku('panel',$panel);
if($_POST['polosa']==0)$polosa=0;else $polosa=1;
if($polosa!=$ku['polosa'])$ku['polosa']=update_ku('polosa',$polosa);
if($_POST['invitect']==0)$invitect=0;else $invitect=1;
if($invitect!=$ku['invitect'])$ku['invitect']=update_ku('invitect',$invitect);
if($_POST['ramka']==0)$ramka=0;else $ramka=1;
if($ramka!=$ku['ramka'])$ku['ramka']=update_ku('ramka',$ramka);////ramka//////
if(!isset($err))msg_game("Настройки успешно сохранены.");
}
?>
<div class="event"><h1>Настройки</h1></div>
<div class="content">
<div class="block">
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo $ku['mdp'];?>"></div>
<ul>
<li class="pt">
<label>Текущий пароль:<br>
<input type="password" value="" name="oldpassword">
<div class="small minor">
Для смены пароля потребуется ввести текущий пароль.
</div>
</label>
</li>
<li class="pt">
<label>Пароль:<br>
<input type="password" value="" name="password">
</label>
<div class="small minor">
Пароль должен быть длиной от 6 до 32 символов.
</div>
</li>
<li class="pt">
<label>Повтор пароля:<br>
<input type="password" value="" name="password2">
</label>
</li>
<?
if($ku['id']==2)
{
echo '<li class="pt">
<label>Пол:<br>
<select name="pol"><option<? if($ku[pol]==1)echo " selected=selected";?> value="1">Мужской</option><option value="0"<? if($ku[pol]==0)echo " selected=selected";?>>Женский</option></select>
</label>
</li>
<li class="pt">
<label>Почта:<br>
<select name="mail"><option<? if($ku[mail]==0)echo " selected=selected";?> value="0">Открыта</option><option value="1"<? if($ku[mail]==1)echo " selected=selected";?>>Закрыта</option></select>
</label>
</li>
<li class="pt">
<label>Приглашения в колхоз:<br>
<select name="invitect"><option<? if($ku[invitect]==0)echo " selected=selected";?> value="0">Принимать</option><option value="1"<? if($ku[invitect]==1)echo " selected=selected";?>>Игнорировать</option></select>
</label>
</li>
<li class="pt">
<label>Панель вверху:<br>
<select name="panel"><option<? if($ku[panel]==1)echo " selected=selected";?> value="1">Показывать</option><option value="0"<? if($ku[panel]==0)echo " selected=selected";?>>Скрывать</option></select>
</label>
</li>
<li class="pt">
<label>Полоса опыта:<br>
<select name="polosa"><option
<? 
if($ku[polosa]==1)
echo " selected=selected";?> value="1">Показывать</option><option value="0"<? 
if($ku[polosa]==0)
echo " selected=selected";?>>Скрывать</option></select>
</label>
</li>
<li class="pt">
<label>Рамка:<br>
<select name="ramka"><option<? if($ku[ramka]==0)echo " selected=selected";?> value="0">Показать</option><option value="1"<? if($ku[ramka]==1)echo " selected=selected";?>>Скрыть</option></select>
</label>
</li>
<li class="pt">
<label>Email:<br>
<input type="text" value="<?
$q=explode(@,$ku[email]);
echo "******@$q[1]";
?>"
name="email" disabled="disabled">
</label>
<div class="small minor">
Email необходим для восстановления пароля.<br></div>
</li>';
}
?>
<li class="pt">
<input type="submit" value="Сохранить">
</li>
</ul>
</form>
<li class="pt">
<div style='text-align:center;'>
<div class='content'>
<div class='block event'>
<small>
<a href="?settings">Настройки</a>
| <a href="?change_nickname">Сменить ник</a>
| <span>Сменить пароль</span>
</small>
</div>
</div></div></div>
<?
 include_once 'inc/foot.php';
?>